`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    21:57:06 05/12/2007 
// Design Name: 
// Module Name:    ringcnt 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module ringcnt(clk, rst, clk1, clk2, dta);
    input clk;
    input rst;
    output clk1;
    output clk2;
    output [31:0] dta;

reg [32:0]cnt;

always @(posedge clk)
  if (~rst) cnt <= ~33'b0;
  else cnt <= {cnt[31:0], ~&cnt[31:0]};
  
assign clk1 = clk;
assign clk2 = cnt[32];
assign dta = cnt[31:0];

endmodule
